<section>
  <div class="stats">
    <div class="col-6 delivery-status">
      <h3>DELIVERY STATUS</h3>
      <span class="total-orders">Total Orders</span>
      <span class="total-orders">{{totalOrders}}</span>
      <div class="pie-charts">
        <div class="col-6">
          <circle-progress
            [percent]="delivered"
            [radius]="10"
            [outerStrokeWidth]="2"
            [innerStrokeWidth]="2"
            [space] = "-2"
            [outerStrokeColor]="'#76cbb7'"
            [innerStrokeColor]="'#e7e8ea'"
            [showSubtitle] = "false"
            [showUnits] = "false"
            [animation]="true"
            [animationDuration]="300"
            [startFromZero]="false"
            [responsive]="true"
            [maxPercent]="150"
            [titleFontSize]="'5'"
          ></circle-progress>
          <span>Orderes Delivered</span>
        </div>
        <div class="col-6">
          <circle-progress
            [percent]="pending"
            [radius]="10"
            [outerStrokeWidth]="2"
            [innerStrokeWidth]="2"
            [space] = "-2"
            [outerStrokeColor]="'#df5760'"
            [innerStrokeColor]="'#e7e8ea'"
            [showSubtitle] = "false"
            [showUnits] = "false"
            [animation]="true"
            [animationDuration]="300"
            [maxPercent]="150"
            [startFromZero]="false"
            [responsive]="true"
            [titleFontSize]="'5'"
          ></circle-progress>
          <span>Pending delivery</span>
        </div>
      </div>
    </div>
    <div class="col-6 total-sales">
      <h3>TOTAL SALES</h3>
      <span>USD</span>
      <span class="total-amount">{{totalSale.toLocaleString()}}</span>
    </div>
  </div>
  <div class="order-history">
    <div class="col-7 history-chart">
      <span class="report-title">ORDER HISTORY</span>
      <div *ngIf="lineChartData.length > 0">
        <div appLineChart [data]="lineChartData"></div>
      </div>
    </div>
    <div class="col-5 report">
      <span class="report-title">REPORT</span>
      <div class="delivery-stats">
        <div class="ontime">
          <span class="delivery-title">Ontime Delivery</span>
          <span class="delivery-percent">+{{ontime}}%</span>
          <div class="progress">
            <div class="progress-bar ontime-progress" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width:30%">
            </div>
          </div>
        </div>
        <div class="late">
          <span class="delivery-title">Late Delivery</span>
          <span class="delivery-percent">+{{late}}%</span>
          <div class="progress">
            <div class="progress-bar late-progress" role="progressbar" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100" style="width:50%">
            </div>
          </div>
        </div>
      </div>
      <div class="performance">
        <span>Performance</span>
        <span>+{{performance}}%</span>
      </div>
    </div>
  </div>
</section>
